import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/alicehua11/67c8eed39df9146f3090cebd5b4adb85/raw/da72a35cdeb0c49c398b9241c54dd413374344dd/Ethandata_evensplit.csv';

// const row = d => {
//   d.aids = +d['Prevalence - HIV/AIDS - Sex: Both - Age: 15-49 years (Percent) (%)'];
//   return d;
// };

export const useData = () => {
  const [data, setData] = useState(null);
  
  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
