import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/alicehua11/67c8eed39df9146f3090cebd5b4adb85/raw/da72a35cdeb0c49c398b9241c54dd413374344dd/Ethandata_evensplit.csv';

export const useCodes = () => {
  const [data, setData] = useState(null);
  
  useEffect(() => {
    csv(csvUrl).then(setData);
  }, []);

  return data;
};
